using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName( "a bear corpse" )]
	public class SnowBear : BaseCreature
	{
		[Constructable]
		public SnowBear() : base( AIType.AI_Animal, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a snow bear";
			Body = 268;
			BaseSoundID = 0xA3;

			SetStr( 126, 155 );
			SetDex( 81, 105 );
			SetInt( 16, 40 );

			SetHits( 96, 133 );
			SetMana( 0 );

			SetDamage( 10, 15 );

			SetSkill( SkillName.MagicResist, 25.1, 40.0 );
			SetSkill( SkillName.Tactics, 80.1, 110.0 );
			SetSkill( SkillName.HandToHand, 65.1, 90.0 );

			Fame = 1500;
			Karma = 0;

			VirtualArmor = 24;
		}

		public override int Meat{ get{ return 3; } }
		public override int Hides{ get{ return 18; } }

		public SnowBear( Serial serial ) : base( serial )
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}